Update a QC Request checklist item
Sets the status of a single checklist item on a QC Request, recording when it was reviewed. Rejected if the parent request has already been reviewed (is no longer pending).
curl --request PATCH \
--url https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reviewerNote": "<string>"
}
'import requests
url = "https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}"
payload = { "reviewerNote": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reviewerNote: '<string>'})
};
fetch('https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'reviewerNote' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}"
payload := strings.NewReader("{\n \"reviewerNote\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reviewerNote\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reviewerNote\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"question": "<string>",
"description": "<string>",
"status": "approved",
"roleId": "<string>",
"completedBy": "<string>",
"group": "<string>",
"allowNA": true,
"reviewerNote": "<string>",
"reviewedOn": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Owner-scoped bearer token. The owner a request is scoped to is derived from the token; list endpoints also take an explicit owner query parameter your token must be authorized to read.
Body
Response
QC Request item patched successfully
Unique identifier for the QC checklist item
Timestamp when the QC checklist item was created
Name of the QC checklist item
The QC checklist item's question.
Description of the QC checklist item
approved, rejected, pending, not_applicable Unique identifier of a QC checklist role assigned to item
User ID that completed the QC checklist item
The precomputed display label for this item's group and position within it (e.g. A1, 1-1), for review type requests. Empty when the item has no group.
Whether reviewers can mark this item Not Applicable. Only applicable to review type requests.
Reviewer-entered note explaining a rejected item. Only applicable to review type requests.
Timestamp when this item was last set to a non-pending status. Cleared when the item is reset to pending. Used to track reviewer progress through a checklist.
curl --request PATCH \
--url https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reviewerNote": "<string>"
}
'import requests
url = "https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}"
payload = { "reviewerNote": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reviewerNote: '<string>'})
};
fetch('https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'reviewerNote' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}"
payload := strings.NewReader("{\n \"reviewerNote\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reviewerNote\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.slate.inc/qc/v2/qc/requests/{qcrID}/items/{itemID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reviewerNote\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"displayName": "<string>",
"question": "<string>",
"description": "<string>",
"status": "approved",
"roleId": "<string>",
"completedBy": "<string>",
"group": "<string>",
"allowNA": true,
"reviewerNote": "<string>",
"reviewedOn": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}